Index: x11-toolkits/qt4pas/Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt4pas/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- x11-toolkits/qt4pas/Makefile	22 Jan 2009 02:23:42 -0000	1.1
+++ x11-toolkits/qt4pas/Makefile	3 Aug 2009 04:13:35 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	qt4pas
-PORTVERSION=	1.68
+PORTVERSION=	1.70
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://users.telenet.be/Jan.Van.hijfte/qtforfpc/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/^/V/}_Qt${QT4_VER_MIN}
@@ -16,9 +16,11 @@
 
 USE_LDCONFIG=	yes
 USE_QT_VER=	4
-QT_COMPONENTS=	corelib gui
+QT_COMPONENTS=	qmake_build moc_build rcc_build \
+		corelib gui network xml \
+		dbus phonon phonon-gst webkit
 
-QT4_VER_MIN=	4.4.3
+QT4_VER_MIN=	4.5.0
 
 .include <bsd.port.pre.mk>
 
Index: x11-toolkits/qt4pas/distinfo
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt4pas/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- x11-toolkits/qt4pas/distinfo	22 Jan 2009 02:23:42 -0000	1.1
+++ x11-toolkits/qt4pas/distinfo	2 Aug 2009 09:14:48 -0000
@@ -1,3 +1,3 @@
-MD5 (qt4pas-V1.68_Qt4.4.3.tar.gz) = a1b4d51ab85d38126349ce94dbfc6ca8
-SHA256 (qt4pas-V1.68_Qt4.4.3.tar.gz) = b9b5e2725c221f8feae35407186e58b851481aea08291c7f85c1bf1f8721d668
-SIZE (qt4pas-V1.68_Qt4.4.3.tar.gz) = 352932
+MD5 (qt4pas-V1.70_Qt4.5.0.tar.gz) = 1b44cd72a6c226524a54afe93b68ecb8
+SHA256 (qt4pas-V1.70_Qt4.5.0.tar.gz) = d20c6cf48b854074a5449e621aaf1f3fde7d38f13abb945887ef9b642fcbd01e
+SIZE (qt4pas-V1.70_Qt4.5.0.tar.gz) = 403932
Index: x11-toolkits/qt4pas/files/patch-compile_lib.sh
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt4pas/files/patch-compile_lib.sh,v
retrieving revision 1.1
diff -u -r1.1 patch-compile_lib.sh
--- x11-toolkits/qt4pas/files/patch-compile_lib.sh	22 Jan 2009 02:23:43 -0000	1.1
+++ x11-toolkits/qt4pas/files/patch-compile_lib.sh	2 Aug 2009 09:21:54 -0000
@@ -1,24 +1,23 @@
---- compile_lib.sh	2009-01-21 20:18:56.000000000 -0500
-+++ compile_lib.sh	2009-01-21 20:20:21.000000000 -0500
+--- compile_lib.sh	2009-04-21 00:59:59.000000000 +1100
++++ compile_lib.sh	2009-08-02 20:19:26.000000000 +1100
 @@ -7,18 +7,16 @@
  # do configure and gmake in that Qt4 dir
  
  NAME=libqt4intf.so
--QTDIR=../qt-x11-opensource-src-4.4.3
+-QTDIR=../qt-all-opensource-src-4.5.0
 -INCLUDE_PATH="-I. -I$QTDIR/include -I$QTDIR/include/Qt -I$QTDIR/include/QtGui -I$QTDIR/include/QtCore -Iqlcl "
 -LIB_PATH=$QTDIR/lib
--export LD_LIBRARY_PATH=$LIB_PATH
 +QTDIR=%%QT_INCDIR%%
 +INCLUDE_PATH="-I. -I$QTDIR -I$QTDIR/Qt -I$QTDIR/QtGui -I$QTDIR/QtCore -Iqlcl "
 +LIB_PATH=%%QT_LIBDIR%%
-+
+ export LD_LIBRARY_PATH=$LIB_PATH
  if [ -e "$LIB_PATH/libQtCore.so.4" ]
  then
    echo please wait for compile to finish ...
--  g++ -D BINUX $INCLUDE_PATH qtpas.cpp -o libqt4intf.so -shared -fPIC -lQtCore -lQtGui  -Xlinker -soname=$NAME -Xlinker --library-path -Xlinker $LIB_PATH
+-  g++ -D BINUX $INCLUDE_PATH qtpas.cpp -o libqt4intf.so -shared -fPIC -lQtCore -lQtGui -lQtNetwork -lQtWebKit  -Xlinker -soname=$NAME -Xlinker --library-path -Xlinker $LIB_PATH
 -  echo Showing used Qt libraries when LD_LIBRARY_PATH=$LD_LIBRARY_PATH
 -  ldd $NAME | grep libQt
-+  %%CXX%% -D BINUX $INCLUDE_PATH qtpas.cpp -o libqt4intf.so -shared -fPIC -lQtCore -lQtGui  -Xlinker -soname=$NAME -Xlinker --library-path -Xlinker $LIB_PATH
++  %%CXX%% -D BINUX $INCLUDE_PATH qtpas.cpp -o libqt4intf.so -shared -fPIC -lQtCore -lQtGui -lQtNetwork -lQtWebKit  -Xlinker -soname=$NAME -Xlinker --library-path -Xlinker $LIB_PATH
    echo stripping library
 -  strip --strip-all $NAME
 +  %%STRIP_CMD%% --strip-all $NAME
